Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

Get a site and its Action Manifest

/v1/sites/{domain}GET
Authorization
bearer *Bearer <token>
API key of the form orsel_<id>.<secret>, sent as Authorization: Bearer. Scopes: find, read, act:read, act:write, act:sensitive, admin. Clients read it from ORSEL_KEY.
Response
200 · Success
summary *object
Show properties
domain *string
Pattern: ^(?=.{1,253}$)([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,63}$
title *stringnull
actionCount *integer
Min: -9007199254740991Max: 9007199254740991
claimed *boolean
reliability *number | null
manifest *object | null
Show options
Any of:
Option 1
spec *"orsel.manifest/1"
domain *string
Pattern: ^(?=.{1,253}$)([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,63}$
version *integer
Min: > 0Max: 9007199254740991
title?string
Min length: 1Max length: 120
actions *object[]
Min items: 1Max items: 500
Show item properties
id *string
Pattern: ^[a-z][a-z0-9_.-]{1,63}$
name *string
Min length: 1Max length: 120
description *string
Min length: 1Max length: 1000
inputSchema *object
outputSchema *object
risk *"read" | "write" | "sensitive" | "irreversible" | "financial"
preconditions *(object | object | object | object | object | object | object | object)[]
Default: []Max items: 16
Show options
One of:
Option 1
kind *"status_in"
statuses *integer[]
Min items: 1
Option 2
kind *"field_present"
path *string
Min length: 1Max length: 256
Option 3
kind *"field_equals"
path *string
Min length: 1Max length: 256
value *object
Option 4
kind *"field_matches"
path *string
Min length: 1Max length: 256
pattern *string
Min length: 1Max length: 512
Option 5
kind *"text_contains"
text *string
Min length: 1Max length: 512
Option 6
kind *"url_matches"
pattern *string
Min length: 1Max length: 512
Option 7
kind *"element_exists"
selector *string
Min length: 1Max length: 512
Option 8
kind *"signed_in"
postconditions *(object | object | object | object | object | object | object | object)[]
Default: []Max items: 16
Show options
One of:
Option 1
kind *"status_in"
statuses *integer[]
Min items: 1
Option 2
kind *"field_present"
path *string
Min length: 1Max length: 256
Option 3
kind *"field_equals"
path *string
Min length: 1Max length: 256
value *object
Option 4
kind *"field_matches"
path *string
Min length: 1Max length: 256
pattern *string
Min length: 1Max length: 512
Option 5
kind *"text_contains"
text *string
Min length: 1Max length: 512
Option 6
kind *"url_matches"
pattern *string
Min length: 1Max length: 512
Option 7
kind *"element_exists"
selector *string
Min length: 1Max length: 512
Option 8
kind *"signed_in"
auth *"none" | "session" | "oauth"
Default: "none"
idempotency *object
Default: {"mode":"none"}
Show properties
mode *"none" | "key" | "natural"
field?string
Max length: 128
rateHints *object
Default: {}
Show properties
perMinute?integer
Min: > 0Max: 100000
perHour?integer
Min: > 0Max: 1000000
ownerPolicyRef?string
Max length: 128
Option 2
Type: null
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
Request example
curl -X GET "/v1/sites/<domain>" \ -H "Authorization: Bearer <token>"